cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
523
Views
5
Helpful
12
Replies
ezzaariyouness
Beginner

DNA Center Update issue

Hello everyone ;

I'm runnig DANC version Version 1.3.3.0 , I need to update my DNA center so I have internet working but when I go to software update section I see the dnac stuck on loading system update .

Capture.PNG

can you help me fix this issue

Best regards

1 ACCEPTED SOLUTION

Accepted Solutions
Tomas de Leon
Cisco Employee

So from the information that you provided, Your cluster is not pointing to the correct Catalog repository.

Please Capture the output from the CLI commands:

### VERIFY CURRENT CATALOG, REPOSITORY, & RELEASE CHANNEL
#
$ ssh maglev@dnac.ip.address -p 2222
$ maglev catalog settings display
$ maglev catalog release_channel display -V
$ maglev catalog release_channel display -o json
$ maglev package status
$ maglev --version
$ magctl --version
$ maglev catalog settings validate

  • You mention & the AURA shows you are running 1.3.3.0
  •  Your screenshot shows the Banner for release 2.2.3.5. You should not see that from a 1.3.3.x cluster unless you hit multiple "switch nows" and kept changing catalog repositories.

The Upgrade Guide states the following:

"You must first upgrade to 2.1.2.8 and then to 2.2.2.8. From there, you can upgrade directly to 2.2.3.5."

 

So your catalog settings are incorrect....

 

This will most likely require you to open a Cisco TAC case so the Cisco DNA engineer can correct the settings for you and evaluate your cluster condition prior to the upgrade attempt.

 


Upgrade from Release 1.3.3.x to Release 2.2.3.5

https://www.cisco.com/c/en/us/td/docs/cloud-systems-management/network-automation-and-management/dna-center/upgrade/b_cisco_dna_center_upgrade_guide/m_upgrade_to_cisco_dna_center_2_2_3_x.html#task_vll_1yt_cqb

 

You cannot upgrade directly from the following Cisco DNA Center versions to 2.2.3.5:

  • 1.3.3.0

You must first upgrade to 2.1.2.8 and then to 2.2.2.8. From there, you can upgrade directly to 2.2.3.5.

After you upgrade to 2.2.3.5, you cannot switch back to an earlier release.

 

View solution in original post

12 REPLIES 12
Flavio Miranda
Advisor

Is it a cluster?

Hi Flavio ,

no single sevrer .

Hi Flavio ;

I did run AURA ,

Find attached the report

Great! I am checking the report just to double check and see if something come up. Meanwhile can you run:

 

sudo maglev-config certs info - Just to make sure there´s no expired certs on the DNA? I got on this problem once.

 

Then, run this command in case you dont have certs issue:

maglev-config update

Hi Flavio ;

so certificats are not  expired .

I did run maglev-config update , in the end i Got this issueCapture3.PNG

I dont see anything. 

Hi Flavio ;

Bellwo this error message :

all last):", " File \"/opt/maglev/bin/generate-coredns-config\", line 289, in <module>", " destination_file=args.output_file,", " File
\"/opt/maglev/bin/generate-coredns-config\", line 230, in patch_coredns_resource", " with open(source_file, \"r\") as fh:", "IOError: [Errno 2] No
such file or directory: '/etc/kubernetes/coredns-cm-template.j2'"], "stdout": "", "stdout_lines": []}
to retry, use: --limit @/opt/maglev/local/lib/python2.7/site-packages/maglev_config_wizard/ansible/default-update_appliance.retry

PLAY RECAP *********************************************************************
localhost : ok=46 changed=27 unreachable=0 failed=1


=== stderr ===
[WARNING]: Unable to parse /etc/ansible/hosts as an inventory source
[WARNING]: No inventory was parsed, only implicit localhost is available
[WARNING]: provided hosts list is empty, only localhost is available. Note
that the implicit localhost does not match 'all'
[WARNING]: Found variable using reserved name: roles


Use the "back" button to revisit previous wizard screens to correct any errors...

 

 

 Some information on the AURA report  I think is important:

 

Warning:Found 138 exited containers. Please contact TAC to perform a cleanup
Warning:Found 8 Non Running Pods. Please contact TAC to perform a cleanup

 

Error:#UR03:Unable to download a small test image of size 50MB from DNAC cloud repository
Error:#UR04:Unable to download a medium test image of size 150MB from DNAC cloud repository

 

 Did you reload the DNAC just to make sure? 

 

Hi Flavio ;

I did  reload the DNAC but it's not solve the issue .

 

 

Tomas de Leon
Cisco Employee

So from the information that you provided, Your cluster is not pointing to the correct Catalog repository.

Please Capture the output from the CLI commands:

### VERIFY CURRENT CATALOG, REPOSITORY, & RELEASE CHANNEL
#
$ ssh maglev@dnac.ip.address -p 2222
$ maglev catalog settings display
$ maglev catalog release_channel display -V
$ maglev catalog release_channel display -o json
$ maglev package status
$ maglev --version
$ magctl --version
$ maglev catalog settings validate

  • You mention & the AURA shows you are running 1.3.3.0
  •  Your screenshot shows the Banner for release 2.2.3.5. You should not see that from a 1.3.3.x cluster unless you hit multiple "switch nows" and kept changing catalog repositories.

The Upgrade Guide states the following:

"You must first upgrade to 2.1.2.8 and then to 2.2.2.8. From there, you can upgrade directly to 2.2.3.5."

 

So your catalog settings are incorrect....

 

This will most likely require you to open a Cisco TAC case so the Cisco DNA engineer can correct the settings for you and evaluate your cluster condition prior to the upgrade attempt.

 


Upgrade from Release 1.3.3.x to Release 2.2.3.5

https://www.cisco.com/c/en/us/td/docs/cloud-systems-management/network-automation-and-management/dna-center/upgrade/b_cisco_dna_center_upgrade_guide/m_upgrade_to_cisco_dna_center_2_2_3_x.html#task_vll_1yt_cqb

 

You cannot upgrade directly from the following Cisco DNA Center versions to 2.2.3.5:

  • 1.3.3.0

You must first upgrade to 2.1.2.8 and then to 2.2.2.8. From there, you can upgrade directly to 2.2.3.5.

After you upgrade to 2.2.3.5, you cannot switch back to an earlier release.

 

Hi Tomas ;

Find bellow the output the the cli command :

 

$ maglev catalog settings display
ERROR: HTTPSConnectionPool(host='kong-frontend.maglev-system.svc.cluster.local', port=443): Max retries exceeded with url: /api/system/v1/catalog/settings?repository=main (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7fd42bea0f50>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))

maglev catalog release_channel display -V
ERROR: HTTPSConnectionPool(host='kong-frontend.maglev-system.svc.cluster.local', port=443): Max retries exceeded with url: /api/system/v1/catalog/release-channel?allVersions=true&repository=main (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7fecc8fb6790>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))


$ maglev catalog release_channel display -o json
ERROR: HTTPSConnectionPool(host='kong-frontend.maglev-system.svc.cluster.local', port=443): Max retries exceeded with url: /api/system/v1/catalog/release-channel?allVersions=false&repository=main (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f3590a50790>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))


$ maglev --version
maglev, version 1.6.61

[Mon May 09 15:39:56 UTC] maglev@ (maglev-master-10-36-31-65)

$ magctl --version
magctl, version 1.6.55


$ maglev catalog settings validate
Validating catalog server settings...
ERROR: HTTPSConnectionPool(host='kong-frontend.maglev-system.svc.cluster.local', port=443): Max retries exceeded with url: /api/system/v1/catalog/settings/status?repository=main (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7fd4743b6ed0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))